Subject: Re: bug#39310: MariaDB reproducibility issue

From: Marius Bakke <[email-masked]>
Date: Mon, 27 Jan 2020 20:21:33 +0100

Josh <[email-masked]> writes:

> Hi Guix,                                                                                 
>                                                                                          
> I ran into this issue when building mariadb 10.1.38. I've attached the                   
> last 300 lines of the log. Thanks

I can reproduce this failure by checking out Guix 1.0.1 in a "time 
machine" and trying to build MariaDB.  The problem is that the failing test
expects the current time to be earlier than 2020-01-21 15:32:22.

This was properly fixed in 10.1.39[0], at least until the year 2038.

Unfortunately there is little we can do about it now.  If you are
hitting this problem while trying to install Guix 1.0.1, I recommend to
either:

1) enable binary substitutes
2) set the system clock to some time last year while building MariaDB
3) install a minimal configuration that does not pull in MariaDB, and
reconfigure with the "full" configuration once you have 'guix pull'd.

Will that work for you?

Thanks for the report, and sorry for the inconvenience!

[0] https://github.com/MariaDB/server/commit/cfe0fe1ad1f7c75102285d445c3ba8167f5b9c44